Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.simple
Class SimpleLoggerContext

    java.lang.Object
      org.apache.logging.log4j.simple.SimpleLoggerContext

All Implemented Interfaces:
  LoggerContext

    public class SimpleLoggerContext

extends Object
implements LoggerContext

Field Summary
`protected static String` | `DEFAULT_DATE_TIME_FORMAT` The default format to use when formatting dates
`protected static String` | `SYSTEM_PREFIX` All system properties used by `SimpleLog` start with this

Constructor Summary
`SimpleLoggerContext()`

Method Summary
`Object` | `getExternalContext()` An anchor for some other context, such as a ClassLoader or ServletContext.
`ExtendedLogger` | `getLogger(String name)` Returns a Logger.
`ExtendedLogger` | `getLogger(String name, MessageFactory messageFactory)` Returns a Logger.
`boolean` | `hasLogger(String name)` Detects if a Logger with the specified name exists.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATE_TIME_FORMAT

    protected static final String DEFAULT_DATE_TIME_FORMAT

  The default format to use when formatting dates

  See Also:
    Constant Field Values

### SYSTEM_PREFIX

    protected static final String SYSTEM_PREFIX

  All system properties used by `SimpleLog` start with this

  See Also:
    Constant Field Values

Constructor Detail

### SimpleLoggerContext

    public SimpleLoggerContext()

Method Detail

### getLogger

    public ExtendedLogger getLogger(String name)

  Description copied from interface: `LoggerContext`
  Returns a Logger.

  Specified by:
    `getLogger` in interface `LoggerContext`
  Parameters:
    `name` - The name of the Logger to return.
  Returns:
    The logger with the specified name.

### getLogger

    public ExtendedLogger getLogger(String name,
                                    MessageFactory messageFactory)

  Description copied from interface: `LoggerContext`
  Returns a Logger.

  Specified by:
    `getLogger` in interface `LoggerContext`
  Parameters:
    `name` - The name of the Logger to return.
    `messageFactory` - The message factory is used only when creating a logger, subsequent use does not change the logger but will log a warning if mismatched.
  Returns:
    The logger with the specified name.

### hasLogger

    public boolean hasLogger(String name)

  Description copied from interface: `LoggerContext`
  Detects if a Logger with the specified name exists.

  Specified by:
    `hasLogger` in interface `LoggerContext`
  Parameters:
    `name` - The Logger name to search for.
  Returns:
    true if the Logger exists, false otherwise.

### getExternalContext

    public Object getExternalContext()

  Description copied from interface: `LoggerContext`
  An anchor for some other context, such as a ClassLoader or ServletContext.

  Specified by:
    `getExternalContext` in interface `LoggerContext`
  Returns:
    The external context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.